From: Ole Streicher <olebole@debian.org>
Date: Thu, 19 Nov 2020 10:52:07 +0100
Subject: Add missing QPainterPath header

Fix build with Qt 5.15

Closes: #975171
---
 QFitsView/QCustomPlot/qcustomplot.h           | 1 +
 QFitsView/QFitsWidgets/QFitsWidgetContour.cpp | 1 +
 2 files changed, 2 insertions(+)

diff --git a/QFitsView/QCustomPlot/qcustomplot.h b/QFitsView/QCustomPlot/qcustomplot.h
index 278fbf8..f3c6b6f 100644
--- a/QFitsView/QCustomPlot/qcustomplot.h
+++ b/QFitsView/QCustomPlot/qcustomplot.h
@@ -52,6 +52,7 @@
 #include <QtCore/QSharedPointer>
 #include <QtCore/QTimer>
 #include <QtGui/QPainter>
+#include <QtGui/QPainterPath>
 #include <QtGui/QPaintEvent>
 #include <QtGui/QMouseEvent>
 #include <QtGui/QWheelEvent>
diff --git a/QFitsView/QFitsWidgets/QFitsWidgetContour.cpp b/QFitsView/QFitsWidgets/QFitsWidgetContour.cpp
index 0cb8214..e3df808 100644
--- a/QFitsView/QFitsWidgets/QFitsWidgetContour.cpp
+++ b/QFitsView/QFitsWidgets/QFitsWidgetContour.cpp
@@ -1,5 +1,6 @@
 #include <QMessageBox>
 #include <QPainter>
+#include <QPainterPath>
 #include <QMouseEvent>
 #include <QScrollBar>
 
